TCPSessionCreator (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.transport.tcp
Class TCPSessionCreator

    java.lang.Object
      |
      +--org.beepcore.beep.transport.tcp.TCPSessionCreator

public class TCPSessionCreator
extends java.lang.Object

This class provides a means for applications or other libraries to create a TCP-based BEEP Session with another BEEP peer.

Constructor Summary
`TCPSessionCreator()`

Method Summary
`static TCPSession` | `initiate(java.net.InetAddress host, int port)` Method initiate
`static TCPSession` | `initiate(java.net.InetAddress host, int port, ProfileRegistry registry)` Method initiate
`static TCPSession` | `initiate(java.lang.String host, int port)` Method initiate
`static TCPSession` | `initiate(java.lang.String host, int port, ProfileRegistry registry)` Method initiate
`static TCPSession` | `listen(java.net.InetAddress localInterface, int port, ProfileRegistry registry)` Method listen
`static TCPSession` | `listen(int port, ProfileRegistry registry)` Method listen
`static TCPSession` | `listen(java.lang.String localInterface, int port, ProfileRegistry registry)` Method listen

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPSessionCreator

    public TCPSessionCreator()

Method Detail

### initiate

    public static TCPSession initiate(java.net.InetAddress host,
                                      int port)
                               throws BEEPException

  Method initiate

  Parameters:
    `host` -
    `port` -
  Throws:
    `BEEPException`

### initiate

    public static TCPSession initiate(java.net.InetAddress host,
                                      int port,
                                      ProfileRegistry registry)
                               throws BEEPException

  Method initiate

  Parameters:
    `host` -
    `port` -
    `registry` -
  Throws:
    `BEEPException`

### initiate

    public static TCPSession initiate(java.lang.String host,
                                      int port)
                               throws BEEPException

  Method initiate

  Parameters:
    `host` -
    `port` -
  Throws:
    `BEEPException`

### initiate

    public static TCPSession initiate(java.lang.String host,
                                      int port,
                                      ProfileRegistry registry)
                               throws BEEPException

  Method initiate

  Parameters:
    `host` -
    `port` -
  Throws:
    `BEEPException`

### listen

    public static TCPSession listen(int port,
                                    ProfileRegistry registry)
                             throws BEEPException

  Method listen

  Parameters:
    `port` -
    `registry` -
  Throws:
    `BEEPException`

### listen

    public static TCPSession listen(java.net.InetAddress localInterface,
                                    int port,
                                    ProfileRegistry registry)
                             throws BEEPException

  Method listen

  Parameters:
    `localInterface` -
    `port` -
    `registry` -
  Throws:
    `BEEPException`

### listen

    public static TCPSession listen(java.lang.String localInterface,
                                    int port,
                                    ProfileRegistry registry)
                             throws BEEPException

  Method listen

  Parameters:
    `port` -
    `registry` -
    `localInterface` -
  Throws:
    `BEEPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.